CVE-2023-1513

NameCVE-2023-1513
DescriptionA flaw was found in KVM. When calling the KVM_GET_DEBUGREGS ioctl, on 32-bit systems, there might be some uninitialized portions of the kvm_debugregs structure that could be copied to userspace, causing an information leak.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3403-1, DLA-3404-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster4.19.249-2vulnerable
buster (security)4.19.289-2fixed
bullseye5.10.197-1fixed
bullseye (security)5.10.191-1fixed
bookworm6.1.55-1fixed
bookworm (security)6.1.52-1fixed
sid, trixie6.5.13-1fixed
linux-5.10 (PTS)buster (security)5.10.197-1~deb10u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcebuster4.19.282-1DLA-3403-1
linuxsourcebullseye5.10.178-1
linuxsource(unstable)6.1.15-1
linux-5.10sourcebuster5.10.178-3~deb10u1DLA-3404-1

Notes

https://git.kernel.org/linus/2c10b61421a28e95a46ab489fd56c0f442ff6952 (6.2)

Search for package or bug name: Reporting problems